%bcond_without check

%global goipath         github.com/inconshreveable/go-vhost
%global commit          06d84117953b22058c096b49a429ebd4f3d3d97b

%gometa

%global godevelheader %{expand:
}

%global common_description %{expand:
Go-vhost is a simple library that lets you implement virtual hosting
functionality for different protocols (HTTP and TLS so far). Go-vhost has a
high-level and a low-level interface. The high-level interface lets you wrap
existing net.Listeners with "muxer" objects. You can then Listen() on a muxer
for a particular virtual host name of interest which will return to you a
net.Listener for just connections with the virtual hostname of interest.

The lower-level Go-vhost interface are just functions which extract the
name/routing information for the given protocol and return an object
implementing net.Conn which works as if no bytes had been consumed.}

%global golicenses      LICENSE
%global godocs          README.md

Name:           %{goname}
Version:        0
Release:    1%{?dist}
Summary:        HTTP/TLS hostname multiplexing library for Go

License:        ASL 2.0
URL:            %{gourl}
Source0:        %{gosource}
Patch0:         mux_test-missing-format-string.patch

%description
%{common_description}

%gopkg

%prep
%goprep
%patch -P0 -p1

%install
%gopkginstall

%if %{with check}
%check
%gocheck
%endif

%gopkgfiles

%changelog
* Mon Aug 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - -1
- initial build
